source: squid-ssl/trunk/fuentes/lib/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 52.5 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS = tests/testRFC1035$(EXEEXT) tests/testRFC1738$(EXEEXT)
92TESTS = tests/testRFC1035$(EXEEXT) tests/testRFC1738$(EXEEXT) \
93        testHeaders
94@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
95@USE_ESI_TRUE@am__append_2 = libTrie
96@ENABLE_SNMP_TRUE@am__append_3 = snmplib
97@ENABLE_XPROF_STATS_TRUE@am__append_4 = profiler
98
99#
100# Some libraries are only available on Windows
101# and others are unable to be built.
102#
103@ENABLE_WIN32SPECIFIC_TRUE@am__append_5 = libsspwin32.la
104@ENABLE_WIN32SPECIFIC_FALSE@am__append_6 = rfcnb smblib
105@ENABLE_WIN32SPECIFIC_FALSE@am__append_7 = sspwin32.cc
106@ENABLE_AUTH_NTLM_TRUE@am__append_8 = ntlmauth
107subdir = lib
108ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
109am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
110        $(top_srcdir)/acinclude/init.m4 \
111        $(top_srcdir)/acinclude/squid-util.m4 \
112        $(top_srcdir)/acinclude/compiler-flags.m4 \
113        $(top_srcdir)/acinclude/os-deps.m4 \
114        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
115        $(top_srcdir)/acinclude/pkg.m4 \
116        $(top_srcdir)/acinclude/lib-checks.m4 \
117        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
118        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
119        $(top_srcdir)/helpers/basic_auth/modules.m4 \
120        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
123        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
124        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
125        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
126        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
127        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
128        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
129        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
130        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
131        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
132        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
133        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
134        $(top_srcdir)/helpers/digest_auth/modules.m4 \
135        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
136        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
137        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
138        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
139        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
140        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
141        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
142        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
143        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
144        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
145        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
146        $(top_srcdir)/helpers/log_daemon/modules.m4 \
147        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
148        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
149        $(top_srcdir)/helpers/external_acl/modules.m4 \
150        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
151        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
152        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
153        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
154        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
155        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
156        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
157        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
158        $(top_srcdir)/helpers/external_acl/session/required.m4 \
159        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
160        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
161        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
162        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
163        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
164        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
165        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
166        $(top_srcdir)/configure.ac
167am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
168        $(ACLOCAL_M4)
169DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
170mkinstalldirs = $(install_sh) -d
171CONFIG_HEADER = $(top_builddir)/include/autoconf.h
172CONFIG_CLEAN_FILES =
173CONFIG_CLEAN_VPATH_FILES =
174LTLIBRARIES = $(noinst_LTLIBRARIES)
175libmisccontainers_la_LIBADD =
176am_libmisccontainers_la_OBJECTS = hash.lo
177libmisccontainers_la_OBJECTS = $(am_libmisccontainers_la_OBJECTS)
178AM_V_lt = $(am__v_lt_@AM_V@)
179am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
180am__v_lt_0 = --silent
181am__v_lt_1 =
182libmiscencoding_la_LIBADD =
183am_libmiscencoding_la_OBJECTS = base64.lo charset.lo html_quote.lo \
184        md5.lo rfc1738.lo rfc2617.lo uudecode.lo
185libmiscencoding_la_OBJECTS = $(am_libmiscencoding_la_OBJECTS)
186libmiscutil_la_LIBADD =
187am_libmiscutil_la_OBJECTS = MemPool.lo MemPoolChunked.lo \
188        MemPoolMalloc.lo getfullhostname.lo heap.lo iso3307.lo \
189        radix.lo rfc1035.lo rfc1123.lo rfc2671.lo rfc3596.lo Splay.lo \
190        stub_memaccount.lo util.lo xusleep.lo
191libmiscutil_la_OBJECTS = $(am_libmiscutil_la_OBJECTS)
192libsspwin32_la_LIBADD =
193am__libsspwin32_la_SOURCES_DIST = sspwin32.cc
194@ENABLE_WIN32SPECIFIC_TRUE@am_libsspwin32_la_OBJECTS = sspwin32.lo
195libsspwin32_la_OBJECTS = $(am_libsspwin32_la_OBJECTS)
196@ENABLE_WIN32SPECIFIC_TRUE@am_libsspwin32_la_rpath =
197am__dirstamp = $(am__leading_dot)dirstamp
198am_tests_testRFC1035_OBJECTS = tests/testRFC1035.$(OBJEXT)
199tests_testRFC1035_OBJECTS = $(am_tests_testRFC1035_OBJECTS)
200am__DEPENDENCIES_1 =
201@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_2 = $(top_builddir)/lib/profiler/libprofiler.la
202am__DEPENDENCIES_3 = $(top_builddir)/compat/libcompat-squid.la \
203        $(am__DEPENDENCIES_2)
204tests_testRFC1035_DEPENDENCIES = $(am__DEPENDENCIES_1) \
205        $(am__DEPENDENCIES_1) $(top_builddir)/lib/libmiscencoding.la \
206        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_3)
207tests_testRFC1035_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
208        $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
209        $(AM_CXXFLAGS) $(CXXFLAGS) $(tests_testRFC1035_LDFLAGS) \
210        $(LDFLAGS) -o $@
211am_tests_testRFC1738_OBJECTS = tests/testRFC1738.$(OBJEXT)
212tests_testRFC1738_OBJECTS = $(am_tests_testRFC1738_OBJECTS)
213tests_testRFC1738_DEPENDENCIES = $(am__DEPENDENCIES_1) \
214        $(am__DEPENDENCIES_1) $(top_builddir)/lib/libmiscencoding.la \
215        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_3)
216tests_testRFC1738_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
217        $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
218        $(AM_CXXFLAGS) $(CXXFLAGS) $(tests_testRFC1738_LDFLAGS) \
219        $(LDFLAGS) -o $@
220AM_V_P = $(am__v_P_@AM_V@)
221am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
222am__v_P_0 = false
223am__v_P_1 = :
224AM_V_GEN = $(am__v_GEN_@AM_V@)
225am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
226am__v_GEN_0 = @echo "  GEN     " $@;
227am__v_GEN_1 =
228AM_V_at = $(am__v_at_@AM_V@)
229am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
230am__v_at_0 = @
231am__v_at_1 =
232DEFAULT_INCLUDES =
233depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
234am__depfiles_maybe = depfiles
235am__mv = mv -f
236COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
237        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
238LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
239        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
240        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
241        $(AM_CFLAGS) $(CFLAGS)
242AM_V_CC = $(am__v_CC_@AM_V@)
243am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
244am__v_CC_0 = @echo "  CC      " $@;
245am__v_CC_1 =
246CCLD = $(CC)
247LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
248        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
249        $(AM_LDFLAGS) $(LDFLAGS) -o $@
250AM_V_CCLD = $(am__v_CCLD_@AM_V@)
251am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
252am__v_CCLD_0 = @echo "  CCLD    " $@;
253am__v_CCLD_1 =
254CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
255        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
256LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
257        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
258        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
259        $(AM_CXXFLAGS) $(CXXFLAGS)
260AM_V_CXX = $(am__v_CXX_@AM_V@)
261am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
262am__v_CXX_0 = @echo "  CXX     " $@;
263am__v_CXX_1 =
264CXXLD = $(CXX)
265CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
266        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
267        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
268AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
269am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
270am__v_CXXLD_0 = @echo "  CXXLD   " $@;
271am__v_CXXLD_1 =
272SOURCES = $(libmisccontainers_la_SOURCES) \
273        $(libmiscencoding_la_SOURCES) $(libmiscutil_la_SOURCES) \
274        $(EXTRA_libmiscutil_la_SOURCES) $(libsspwin32_la_SOURCES) \
275        $(tests_testRFC1035_SOURCES) $(tests_testRFC1738_SOURCES)
276DIST_SOURCES = $(libmisccontainers_la_SOURCES) \
277        $(libmiscencoding_la_SOURCES) $(libmiscutil_la_SOURCES) \
278        $(EXTRA_libmiscutil_la_SOURCES) \
279        $(am__libsspwin32_la_SOURCES_DIST) \
280        $(tests_testRFC1035_SOURCES) $(tests_testRFC1738_SOURCES)
281RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
282        ctags-recursive dvi-recursive html-recursive info-recursive \
283        install-data-recursive install-dvi-recursive \
284        install-exec-recursive install-html-recursive \
285        install-info-recursive install-pdf-recursive \
286        install-ps-recursive install-recursive installcheck-recursive \
287        installdirs-recursive pdf-recursive ps-recursive \
288        tags-recursive uninstall-recursive
289am__can_run_installinfo = \
290  case $$AM_UPDATE_INFO_DIR in \
291    n|no|NO) false;; \
292    *) (install-info --version) >/dev/null 2>&1;; \
293  esac
294RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
295  distclean-recursive maintainer-clean-recursive
296am__recursive_targets = \
297  $(RECURSIVE_TARGETS) \
298  $(RECURSIVE_CLEAN_TARGETS) \
299  $(am__extra_recursive_targets)
300AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
301        check recheck distdir
302am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
303# Read a list of newline-separated strings from the standard input,
304# and print each of them once, without duplicates.  Input order is
305# *not* preserved.
306am__uniquify_input = $(AWK) '\
307  BEGIN { nonempty = 0; } \
308  { items[$$0] = 1; nonempty = 1; } \
309  END { if (nonempty) { for (i in items) print i; }; } \
310'
311# Make sure the list of sources is unique.  This is necessary because,
312# e.g., the same source file might be shared among _SOURCES variables
313# for different programs/libraries.
314am__define_uniq_tagged_files = \
315  list='$(am__tagged_files)'; \
316  unique=`for i in $$list; do \
317    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
318  done | $(am__uniquify_input)`
319ETAGS = etags
320CTAGS = ctags
321am__tty_colors_dummy = \
322  mgn= red= grn= lgn= blu= brg= std=; \
323  am__color_tests=no
324am__tty_colors = { \
325  $(am__tty_colors_dummy); \
326  if test "X$(AM_COLOR_TESTS)" = Xno; then \
327    am__color_tests=no; \
328  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
329    am__color_tests=yes; \
330  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
331    am__color_tests=yes; \
332  fi; \
333  if test $$am__color_tests = yes; then \
334    red='[0;31m'; \
335    grn='[0;32m'; \
336    lgn='[1;32m'; \
337    blu='[1;34m'; \
338    mgn='[0;35m'; \
339    brg='[1m'; \
340    std='[m'; \
341  fi; \
342}
343am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
344am__vpath_adj = case $$p in \
345    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
346    *) f=$$p;; \
347  esac;
348am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
349am__install_max = 40
350am__nobase_strip_setup = \
351  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
352am__nobase_strip = \
353  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
354am__nobase_list = $(am__nobase_strip_setup); \
355  for p in $$list; do echo "$$p $$p"; done | \
356  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
357  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
358    if (++n[$$2] == $(am__install_max)) \
359      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
360    END { for (dir in files) print dir, files[dir] }'
361am__base_list = \
362  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
363  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
364am__uninstall_files_from_dir = { \
365  test -z "$$files" \
366    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
367    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
368         $(am__cd) "$$dir" && rm -f $$files; }; \
369  }
370am__recheck_rx = ^[     ]*:recheck:[    ]*
371am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
372am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
373# A command that, given a newline-separated list of test names on the
374# standard input, print the name of the tests that are to be re-run
375# upon "make recheck".
376am__list_recheck_tests = $(AWK) '{ \
377  recheck = 1; \
378  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
379    { \
380      if (rc < 0) \
381        { \
382          if ((getline line2 < ($$0 ".log")) < 0) \
383            recheck = 0; \
384          break; \
385        } \
386      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
387        { \
388          recheck = 0; \
389          break; \
390        } \
391      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
392        { \
393          break; \
394        } \
395    }; \
396  if (recheck) \
397    print $$0; \
398  close ($$0 ".trs"); \
399  close ($$0 ".log"); \
400}'
401# A command that, given a newline-separated list of test names on the
402# standard input, create the global log from their .trs and .log files.
403am__create_global_log = $(AWK) ' \
404function fatal(msg) \
405{ \
406  print "fatal: making $@: " msg | "cat >&2"; \
407  exit 1; \
408} \
409function rst_section(header) \
410{ \
411  print header; \
412  len = length(header); \
413  for (i = 1; i <= len; i = i + 1) \
414    printf "="; \
415  printf "\n\n"; \
416} \
417{ \
418  copy_in_global_log = 1; \
419  global_test_result = "RUN"; \
420  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
421    { \
422      if (rc < 0) \
423         fatal("failed to read from " $$0 ".trs"); \
424      if (line ~ /$(am__global_test_result_rx)/) \
425        { \
426          sub("$(am__global_test_result_rx)", "", line); \
427          sub("[        ]*$$", "", line); \
428          global_test_result = line; \
429        } \
430      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
431        copy_in_global_log = 0; \
432    }; \
433  if (copy_in_global_log) \
434    { \
435      rst_section(global_test_result ": " $$0); \
436      while ((rc = (getline line < ($$0 ".log"))) != 0) \
437      { \
438        if (rc < 0) \
439          fatal("failed to read from " $$0 ".log"); \
440        print line; \
441      }; \
442      printf "\n"; \
443    }; \
444  close ($$0 ".trs"); \
445  close ($$0 ".log"); \
446}'
447# Restructured Text title.
448am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
449# Solaris 10 'make', and several other traditional 'make' implementations,
450# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
451# by disabling -e (using the XSI extension "set +e") if it's set.
452am__sh_e_setup = case $$- in *e*) set +e;; esac
453# Default flags passed to test drivers.
454am__common_driver_flags = \
455  --color-tests "$$am__color_tests" \
456  --enable-hard-errors "$$am__enable_hard_errors" \
457  --expect-failure "$$am__expect_failure"
458# To be inserted before the command running the test.  Creates the
459# directory for the log if needed.  Stores in $dir the directory
460# containing $f, in $tst the test, in $log the log.  Executes the
461# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
462# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
463# will run the test scripts (or their associated LOG_COMPILER, if
464# thy have one).
465am__check_pre = \
466$(am__sh_e_setup);                                      \
467$(am__vpath_adj_setup) $(am__vpath_adj)                 \
468$(am__tty_colors);                                      \
469srcdir=$(srcdir); export srcdir;                        \
470case "$@" in                                            \
471  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
472    *) am__odir=.;;                                     \
473esac;                                                   \
474test "x$$am__odir" = x"." || test -d "$$am__odir"       \
475  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
476if test -f "./$$f"; then dir=./;                        \
477elif test -f "$$f"; then dir=;                          \
478else dir="$(srcdir)/"; fi;                              \
479tst=$$dir$$f; log='$@';                                 \
480if test -n '$(DISABLE_HARD_ERRORS)'; then               \
481  am__enable_hard_errors=no;                            \
482else                                                    \
483  am__enable_hard_errors=yes;                           \
484fi;                                                     \
485case " $(XFAIL_TESTS) " in                              \
486  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
487    am__expect_failure=yes;;                            \
488  *)                                                    \
489    am__expect_failure=no;;                             \
490esac;                                                   \
491$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
492# A shell command to get the names of the tests scripts with any registered
493# extension removed (i.e., equivalently, the names of the test logs, with
494# the '.log' extension removed).  The result is saved in the shell variable
495# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
496# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
497# since that might cause problem with VPATH rewrites for suffix-less tests.
498# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
499am__set_TESTS_bases = \
500  bases='$(TEST_LOGS)'; \
501  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
502  bases=`echo $$bases`
503RECHECK_LOGS = $(TEST_LOGS)
504TEST_SUITE_LOG = test-suite.log
505TEST_EXTENSIONS = @EXEEXT@ .test
506LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
507LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
508am__set_b = \
509  case '$@' in \
510    */*) \
511      case '$*' in \
512        */*) b='$*';; \
513          *) b=`echo '$@' | sed 's/\.log$$//'`; \
514       esac;; \
515    *) \
516      b='$*';; \
517  esac
518am__test_logs1 = $(TESTS:=.log)
519am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
520TEST_LOGS = $(am__test_logs2:.test.log=.log)
521TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
522TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
523        $(TEST_LOG_FLAGS)
524am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
525        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
526DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
527am__relativize = \
528  dir0=`pwd`; \
529  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
530  sed_rest='s,^[^/]*/*,,'; \
531  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
532  sed_butlast='s,/*[^/]*$$,,'; \
533  while test -n "$$dir1"; do \
534    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
535    if test "$$first" != "."; then \
536      if test "$$first" = ".."; then \
537        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
538        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
539      else \
540        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
541        if test "$$first2" = "$$first"; then \
542          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
543        else \
544          dir2="../$$dir2"; \
545        fi; \
546        dir0="$$dir0"/"$$first"; \
547      fi; \
548    fi; \
549    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
550  done; \
551  reldir="$$dir2"
552ACLOCAL = @ACLOCAL@
553ADAPTATION_LIBS = @ADAPTATION_LIBS@
554ALLOCA = @ALLOCA@
555AMTAR = @AMTAR@
556AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
557AR = @AR@
558ARGZ_H = @ARGZ_H@
559AR_R = @AR_R@
560AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
561AUTH_MODULES = @AUTH_MODULES@
562AUTOCONF = @AUTOCONF@
563AUTOHEADER = @AUTOHEADER@
564AUTOMAKE = @AUTOMAKE@
565AWK = @AWK@
566BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
567BUILDCXX = @BUILDCXX@
568BUILDCXXFLAGS = @BUILDCXXFLAGS@
569BZR = @BZR@
570CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
571CC = @CC@
572CCDEPMODE = @CCDEPMODE@
573CFLAGS = @CFLAGS@
574CGIEXT = @CGIEXT@
575CHMOD = @CHMOD@
576CPP = @CPP@
577CPPFLAGS = @CPPFLAGS@
578CPPUNITCONFIG = @CPPUNITCONFIG@
579CRYPTLIB = @CRYPTLIB@
580CXX = @CXX@
581CXXCPP = @CXXCPP@
582CXXDEPMODE = @CXXDEPMODE@
583CXXFLAGS = @CXXFLAGS@
584CYGPATH_W = @CYGPATH_W@
585DEFAULT_HOSTS = @DEFAULT_HOSTS@
586DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
587DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
588DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
589DEFS = @DEFS@
590DEPDIR = @DEPDIR@
591DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
592DISK_LIBS = @DISK_LIBS@
593DISK_LINKOBJS = @DISK_LINKOBJS@
594DISK_MODULES = @DISK_MODULES@
595DISK_OS_LIBS = @DISK_OS_LIBS@
596DISK_PROGRAMS = @DISK_PROGRAMS@
597DLLTOOL = @DLLTOOL@
598DSYMUTIL = @DSYMUTIL@
599DUMPBIN = @DUMPBIN@
600ECAP_LIBS = @ECAP_LIBS@
601ECHO_C = @ECHO_C@
602ECHO_N = @ECHO_N@
603ECHO_T = @ECHO_T@
604EGREP = @EGREP@
605EPOLL_LIBS = @EPOLL_LIBS@
606EUILIB = @EUILIB@
607EXEEXT = @EXEEXT@
608EXPATLIB = @EXPATLIB@
609EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
610EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
611EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
612FALSE = @FALSE@
613FGREP = @FGREP@
614GREP = @GREP@
615HAVE_CXX11 = @HAVE_CXX11@
616ICAP_LIBS = @ICAP_LIBS@
617INCLTDL = @INCLTDL@
618INSTALL = @INSTALL@
619INSTALL_DATA = @INSTALL_DATA@
620INSTALL_PROGRAM = @INSTALL_PROGRAM@
621INSTALL_SCRIPT = @INSTALL_SCRIPT@
622INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
623KRB5INCS = @KRB5INCS@
624KRB5LIBS = @KRB5LIBS@
625LBERLIB = @LBERLIB@
626LD = @LD@
627LDAPLIB = @LDAPLIB@
628LDFLAGS = @LDFLAGS@
629LIBADD_DL = @LIBADD_DL@
630LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
631LIBADD_DLOPEN = @LIBADD_DLOPEN@
632LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
633LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
634LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
635LIBLTDL = @LIBLTDL@
636LIBOBJS = @LIBOBJS@
637LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
638LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
639LIBS = @LIBS@
640LIBSASL = @LIBSASL@
641LIBTOOL = @LIBTOOL@
642LIB_DB = @LIB_DB@
643LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
644LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
645LINUXDOC = @LINUXDOC@
646LIPO = @LIPO@
647LN = @LN@
648LN_S = @LN_S@
649LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
650LTDLDEPS = @LTDLDEPS@
651LTDLINCL = @LTDLINCL@
652LTDLOPEN = @LTDLOPEN@
653LTLIBOBJS = @LTLIBOBJS@
654LT_CONFIG_H = @LT_CONFIG_H@
655LT_DLLOADERS = @LT_DLLOADERS@
656LT_DLPREOPEN = @LT_DLPREOPEN@
657MAINT = @MAINT@
658MAKEINFO = @MAKEINFO@
659MANIFEST_TOOL = @MANIFEST_TOOL@
660MINGW_LIBS = @MINGW_LIBS@
661MKDIR = @MKDIR@
662MKDIR_P = @MKDIR_P@
663MV = @MV@
664NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
665NETTLELIB = @NETTLELIB@
666NM = @NM@
667NMEDIT = @NMEDIT@
668NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
669OBJDUMP = @OBJDUMP@
670OBJEXT = @OBJEXT@
671OTOOL = @OTOOL@
672OTOOL64 = @OTOOL64@
673PACKAGE = @PACKAGE@
674PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
675PACKAGE_NAME = @PACKAGE_NAME@
676PACKAGE_STRING = @PACKAGE_STRING@
677PACKAGE_TARNAME = @PACKAGE_TARNAME@
678PACKAGE_URL = @PACKAGE_URL@
679PACKAGE_VERSION = @PACKAGE_VERSION@
680PATH_SEPARATOR = @PATH_SEPARATOR@
681PERL = @PERL@
682PKG_CONFIG = @PKG_CONFIG@
683PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
684PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
685PO2HTML = @PO2HTML@
686PO2TEXT = @PO2TEXT@
687POD2MAN = @POD2MAN@
688RANLIB = @RANLIB@
689REGEXLIB = @REGEXLIB@
690REPL_LIBS = @REPL_LIBS@
691REPL_OBJS = @REPL_OBJS@
692REPL_POLICIES = @REPL_POLICIES@
693RM = @RM@
694SED = @SED@
695SET_MAKE = @SET_MAKE@
696SH = @SH@
697SHELL = @SHELL@
698SMBCLIENT = @SMBCLIENT@
699SNMPLIB = @SNMPLIB@
700SQUID_CFLAGS = @SQUID_CFLAGS@
701SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
702SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
703SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
704SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
705SSLLIB = @SSLLIB@
706STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
707STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
708STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
709STORE_TESTS = @STORE_TESTS@
710STRIP = @STRIP@
711TR = @TR@
712TRUE = @TRUE@
713URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
714VERSION = @VERSION@
715WBINFO = @WBINFO@
716WIN32_PSAPI = @WIN32_PSAPI@
717XMLLIB = @XMLLIB@
718XTRA_LIBS = @XTRA_LIBS@
719XTRA_OBJS = @XTRA_OBJS@
720abs_builddir = @abs_builddir@
721abs_srcdir = @abs_srcdir@
722abs_top_builddir = @abs_top_builddir@
723abs_top_srcdir = @abs_top_srcdir@
724ac_ct_AR = @ac_ct_AR@
725ac_ct_CC = @ac_ct_CC@
726ac_ct_CXX = @ac_ct_CXX@
727ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
728am__include = @am__include@
729am__leading_dot = @am__leading_dot@
730am__quote = @am__quote@
731am__tar = @am__tar@
732am__untar = @am__untar@
733bindir = @bindir@
734build = @build@
735build_alias = @build_alias@
736build_cpu = @build_cpu@
737build_os = @build_os@
738build_vendor = @build_vendor@
739builddir = @builddir@
740datadir = @datadir@
741datarootdir = @datarootdir@
742docdir = @docdir@
743dvidir = @dvidir@
744exec_prefix = @exec_prefix@
745host = @host@
746host_alias = @host_alias@
747host_cpu = @host_cpu@
748host_os = @host_os@
749host_vendor = @host_vendor@
750htmldir = @htmldir@
751includedir = @includedir@
752infodir = @infodir@
753install_sh = @install_sh@
754krb5_config = @krb5_config@
755libdir = @libdir@
756libexecdir = @libexecdir@
757localedir = @localedir@
758localstatedir = @localstatedir@
759ltdl_LIBOBJS = @ltdl_LIBOBJS@
760ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
761mandir = @mandir@
762mkdir_p = @mkdir_p@
763oldincludedir = @oldincludedir@
764pdfdir = @pdfdir@
765prefix = @prefix@
766program_transform_name = @program_transform_name@
767psdir = @psdir@
768runstatedir = @runstatedir@
769sbindir = @sbindir@
770sharedstatedir = @sharedstatedir@
771srcdir = @srcdir@
772subdirs = @subdirs@
773sys_symbol_underscore = @sys_symbol_underscore@
774sysconfdir = @sysconfdir@
775target_alias = @target_alias@
776top_build_prefix = @top_build_prefix@
777top_builddir = @top_builddir@
778top_srcdir = @top_srcdir@
779AM_CFLAGS = $(SQUID_CFLAGS)
780AM_CXXFLAGS = $(SQUID_CXXFLAGS)
781CLEANFILES = testHeaders
782AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
783        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
784        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
785        $(am__append_1)
786@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
787@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
788COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
789subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
790DIST_SUBDIRS = ntlmauth profiler rfcnb smblib libTrie snmplib
791SUBDIRS = $(am__append_2) $(am__append_3) $(am__append_4) \
792        $(am__append_6) $(am__append_8)
793EXTRA_DIST = $(am__append_7)
794noinst_LTLIBRARIES = libmiscencoding.la libmisccontainers.la \
795        libmiscutil.la $(am__append_5)
796@ENABLE_WIN32SPECIFIC_TRUE@libsspwin32_la_SOURCES = sspwin32.cc
797
798#
799# dirent.c, encrypt.c and getopt.c are needed for native Windows support.
800#
801EXTRA_libmiscutil_la_SOURCES = \
802        dirent.c \
803        encrypt.c \
804        getopt.c
805
806libmiscencoding_la_SOURCES = \
807        base64.c \
808        charset.c \
809        html_quote.c \
810        md5.c \
811        rfc1738.c \
812        rfc2617.c \
813        uudecode.c
814
815libmisccontainers_la_SOURCES = \
816        hash.cc
817
818libmiscutil_la_SOURCES = \
819        MemPool.cc \
820        MemPoolChunked.cc \
821        MemPoolMalloc.cc \
822        getfullhostname.c \
823        heap.c \
824        iso3307.c \
825        radix.c \
826        rfc1035.c \
827        rfc1123.c \
828        rfc2671.c \
829        rfc3596.c \
830        $(SNPRINTFSOURCE) \
831        Splay.cc \
832        stub_memaccount.c \
833        util.c \
834        xusleep.c
835
836tests_testRFC1035_SOURCES = \
837        tests/testRFC1035.h \
838        tests/testRFC1035.cc
839
840tests_testRFC1035_LDADD = \
841        $(SQUID_CPPUNIT_LA) $(SQUID_CPPUNIT_LIBS) \
842        $(top_builddir)/lib/libmiscencoding.la \
843        $(top_builddir)/lib/libmiscutil.la \
844        $(COMPAT_LIB)
845
846tests_testRFC1035_LDFLAGS = $(LIBADD_DL)
847tests_testRFC1738_SOURCES = \
848        tests/testRFC1738.h \
849        tests/testRFC1738.cc
850
851tests_testRFC1738_LDADD = \
852        $(SQUID_CPPUNIT_LA) $(SQUID_CPPUNIT_LIBS) \
853        $(top_builddir)/lib/libmiscencoding.la \
854        $(top_builddir)/lib/libmiscutil.la \
855        $(COMPAT_LIB)
856
857tests_testRFC1738_LDFLAGS = $(LIBADD_DL)
858all: all-recursive
859
860.SUFFIXES:
861.SUFFIXES: .c .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
862$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
863        @for dep in $?; do \
864          case '$(am__configure_deps)' in \
865            *$$dep*) \
866              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
867                && { if test -f $@; then exit 0; else break; fi; }; \
868              exit 1;; \
869          esac; \
870        done; \
871        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign lib/Makefile'; \
872        $(am__cd) $(top_srcdir) && \
873          $(AUTOMAKE) --foreign lib/Makefile
874Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
875        @case '$?' in \
876          *config.status*) \
877            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
878          *) \
879            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
880            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
881        esac;
882$(top_srcdir)/src/Common.am $(am__empty):
883
884$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
885        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
886
887$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
888        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
889$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
890        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
891$(am__aclocal_m4_deps):
892
893clean-noinstLTLIBRARIES:
894        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
895        @list='$(noinst_LTLIBRARIES)'; \
896        locs=`for p in $$list; do echo $$p; done | \
897              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
898              sort -u`; \
899        test -z "$$locs" || { \
900          echo rm -f $${locs}; \
901          rm -f $${locs}; \
902        }
903
904libmisccontainers.la: $(libmisccontainers_la_OBJECTS) $(libmisccontainers_la_DEPENDENCIES) $(EXTRA_libmisccontainers_la_DEPENDENCIES)
905        $(AM_V_CXXLD)$(CXXLINK)  $(libmisccontainers_la_OBJECTS) $(libmisccontainers_la_LIBADD) $(LIBS)
906
907libmiscencoding.la: $(libmiscencoding_la_OBJECTS) $(libmiscencoding_la_DEPENDENCIES) $(EXTRA_libmiscencoding_la_DEPENDENCIES)
908        $(AM_V_CCLD)$(LINK)  $(libmiscencoding_la_OBJECTS) $(libmiscencoding_la_LIBADD) $(LIBS)
909
910libmiscutil.la: $(libmiscutil_la_OBJECTS) $(libmiscutil_la_DEPENDENCIES) $(EXTRA_libmiscutil_la_DEPENDENCIES)
911        $(AM_V_CXXLD)$(CXXLINK)  $(libmiscutil_la_OBJECTS) $(libmiscutil_la_LIBADD) $(LIBS)
912
913libsspwin32.la: $(libsspwin32_la_OBJECTS) $(libsspwin32_la_DEPENDENCIES) $(EXTRA_libsspwin32_la_DEPENDENCIES)
914        $(AM_V_CXXLD)$(CXXLINK) $(am_libsspwin32_la_rpath) $(libsspwin32_la_OBJECTS) $(libsspwin32_la_LIBADD) $(LIBS)
915
916clean-checkPROGRAMS:
917        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
918        echo " rm -f" $$list; \
919        rm -f $$list || exit $$?; \
920        test -n "$(EXEEXT)" || exit 0; \
921        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
922        echo " rm -f" $$list; \
923        rm -f $$list
924tests/$(am__dirstamp):
925        @$(MKDIR_P) tests
926        @: > tests/$(am__dirstamp)
927tests/$(DEPDIR)/$(am__dirstamp):
928        @$(MKDIR_P) tests/$(DEPDIR)
929        @: > tests/$(DEPDIR)/$(am__dirstamp)
930tests/testRFC1035.$(OBJEXT): tests/$(am__dirstamp) \
931        tests/$(DEPDIR)/$(am__dirstamp)
932
933tests/testRFC1035$(EXEEXT): $(tests_testRFC1035_OBJECTS) $(tests_testRFC1035_DEPENDENCIES) $(EXTRA_tests_testRFC1035_DEPENDENCIES) tests/$(am__dirstamp)
934        @rm -f tests/testRFC1035$(EXEEXT)
935        $(AM_V_CXXLD)$(tests_testRFC1035_LINK) $(tests_testRFC1035_OBJECTS) $(tests_testRFC1035_LDADD) $(LIBS)
936tests/testRFC1738.$(OBJEXT): tests/$(am__dirstamp) \
937        tests/$(DEPDIR)/$(am__dirstamp)
938
939tests/testRFC1738$(EXEEXT): $(tests_testRFC1738_OBJECTS) $(tests_testRFC1738_DEPENDENCIES) $(EXTRA_tests_testRFC1738_DEPENDENCIES) tests/$(am__dirstamp)
940        @rm -f tests/testRFC1738$(EXEEXT)
941        $(AM_V_CXXLD)$(tests_testRFC1738_LINK) $(tests_testRFC1738_OBJECTS) $(tests_testRFC1738_LDADD) $(LIBS)
942
943mostlyclean-compile:
944        -rm -f *.$(OBJEXT)
945        -rm -f tests/*.$(OBJEXT)
946
947distclean-compile:
948        -rm -f *.tab.c
949
950@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/MemPool.Plo@am__quote@
951@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/MemPoolChunked.Plo@am__quote@
952@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/MemPoolMalloc.Plo@am__quote@
953@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Splay.Plo@am__quote@
954@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/base64.Plo@am__quote@
955@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/charset.Plo@am__quote@
956@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dirent.Plo@am__quote@
957@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/encrypt.Plo@am__quote@
958@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getfullhostname.Plo@am__quote@
959@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getopt.Plo@am__quote@
960@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hash.Plo@am__quote@
961@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/heap.Plo@am__quote@
962@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/html_quote.Plo@am__quote@
963@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iso3307.Plo@am__quote@
964@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/md5.Plo@am__quote@
965@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/radix.Plo@am__quote@
966@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rfc1035.Plo@am__quote@
967@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rfc1123.Plo@am__quote@
968@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rfc1738.Plo@am__quote@
969@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rfc2617.Plo@am__quote@
970@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rfc2671.Plo@am__quote@
971@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rfc3596.Plo@am__quote@
972@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sspwin32.Plo@am__quote@
973@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_memaccount.Plo@am__quote@
974@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Plo@am__quote@
975@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/uudecode.Plo@am__quote@
976@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xusleep.Plo@am__quote@
977@AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testRFC1035.Po@am__quote@
978@AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testRFC1738.Po@am__quote@
979
980.c.o:
981@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
982@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
983@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
984@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
985@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
986@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
987
988.c.obj:
989@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
990@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
991@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
992@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
993@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
994@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
995
996.c.lo:
997@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
998@am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
999@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
1000@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1001@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1002@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1003
1004.cc.o:
1005@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1006@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1007@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1008@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1009@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1010@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1011
1012.cc.obj:
1013@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1014@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1015@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1016@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1017@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1018@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1019
1020.cc.lo:
1021@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1022@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1023@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
1024@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1025@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1026@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1027
1028mostlyclean-libtool:
1029        -rm -f *.lo
1030
1031clean-libtool:
1032        -rm -rf .libs _libs
1033        -rm -rf tests/.libs tests/_libs
1034
1035# This directory's subdirectories are mostly independent; you can cd
1036# into them and run 'make' without going through this Makefile.
1037# To change the values of 'make' variables: instead of editing Makefiles,
1038# (1) if the variable is set in 'config.status', edit 'config.status'
1039#     (which will cause the Makefiles to be regenerated when you run 'make');
1040# (2) otherwise, pass the desired values on the 'make' command line.
1041$(am__recursive_targets):
1042        @fail=; \
1043        if $(am__make_keepgoing); then \
1044          failcom='fail=yes'; \
1045        else \
1046          failcom='exit 1'; \
1047        fi; \
1048        dot_seen=no; \
1049        target=`echo $@ | sed s/-recursive//`; \
1050        case "$@" in \
1051          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1052          *) list='$(SUBDIRS)' ;; \
1053        esac; \
1054        for subdir in $$list; do \
1055          echo "Making $$target in $$subdir"; \
1056          if test "$$subdir" = "."; then \
1057            dot_seen=yes; \
1058            local_target="$$target-am"; \
1059          else \
1060            local_target="$$target"; \
1061          fi; \
1062          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1063          || eval $$failcom; \
1064        done; \
1065        if test "$$dot_seen" = "no"; then \
1066          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1067        fi; test -z "$$fail"
1068
1069ID: $(am__tagged_files)
1070        $(am__define_uniq_tagged_files); mkid -fID $$unique
1071tags: tags-recursive
1072TAGS: tags
1073
1074tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1075        set x; \
1076        here=`pwd`; \
1077        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1078          include_option=--etags-include; \
1079          empty_fix=.; \
1080        else \
1081          include_option=--include; \
1082          empty_fix=; \
1083        fi; \
1084        list='$(SUBDIRS)'; for subdir in $$list; do \
1085          if test "$$subdir" = .; then :; else \
1086            test ! -f $$subdir/TAGS || \
1087              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1088          fi; \
1089        done; \
1090        $(am__define_uniq_tagged_files); \
1091        shift; \
1092        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1093          test -n "$$unique" || unique=$$empty_fix; \
1094          if test $$# -gt 0; then \
1095            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1096              "$$@" $$unique; \
1097          else \
1098            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1099              $$unique; \
1100          fi; \
1101        fi
1102ctags: ctags-recursive
1103
1104CTAGS: ctags
1105ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1106        $(am__define_uniq_tagged_files); \
1107        test -z "$(CTAGS_ARGS)$$unique" \
1108          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1109             $$unique
1110
1111GTAGS:
1112        here=`$(am__cd) $(top_builddir) && pwd` \
1113          && $(am__cd) $(top_srcdir) \
1114          && gtags -i $(GTAGS_ARGS) "$$here"
1115cscopelist: cscopelist-recursive
1116
1117cscopelist-am: $(am__tagged_files)
1118        list='$(am__tagged_files)'; \
1119        case "$(srcdir)" in \
1120          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1121          *) sdir=$(subdir)/$(srcdir) ;; \
1122        esac; \
1123        for i in $$list; do \
1124          if test -f "$$i"; then \
1125            echo "$(subdir)/$$i"; \
1126          else \
1127            echo "$$sdir/$$i"; \
1128          fi; \
1129        done >> $(top_builddir)/cscope.files
1130
1131distclean-tags:
1132        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1133
1134# Recover from deleted '.trs' file; this should ensure that
1135# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1136# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1137# to avoid problems with "make -n".
1138.log.trs:
1139        rm -f $< $@
1140        $(MAKE) $(AM_MAKEFLAGS) $<
1141
1142# Leading 'am--fnord' is there to ensure the list of targets does not
1143# expand to empty, as could happen e.g. with make check TESTS=''.
1144am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1145am--force-recheck:
1146        @:
1147
1148$(TEST_SUITE_LOG): $(TEST_LOGS)
1149        @$(am__set_TESTS_bases); \
1150        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1151        redo_bases=`for i in $$bases; do \
1152                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1153                    done`; \
1154        if test -n "$$redo_bases"; then \
1155          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1156          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1157          if $(am__make_dryrun); then :; else \
1158            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1159          fi; \
1160        fi; \
1161        if test -n "$$am__remaking_logs"; then \
1162          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1163               "recursion detected" >&2; \
1164        elif test -n "$$redo_logs"; then \
1165          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1166        fi; \
1167        if $(am__make_dryrun); then :; else \
1168          st=0;  \
1169          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1170          for i in $$redo_bases; do \
1171            test -f $$i.trs && test -r $$i.trs \
1172              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1173            test -f $$i.log && test -r $$i.log \
1174              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1175          done; \
1176          test $$st -eq 0 || exit 1; \
1177        fi
1178        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1179        ws='[   ]'; \
1180        results=`for b in $$bases; do echo $$b.trs; done`; \
1181        test -n "$$results" || results=/dev/null; \
1182        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1183        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1184        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1185        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1186        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1187        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1188        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1189        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1190          success=true; \
1191        else \
1192          success=false; \
1193        fi; \
1194        br='==================='; br=$$br$$br$$br$$br; \
1195        result_count () \
1196        { \
1197            if test x"$$1" = x"--maybe-color"; then \
1198              maybe_colorize=yes; \
1199            elif test x"$$1" = x"--no-color"; then \
1200              maybe_colorize=no; \
1201            else \
1202              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1203            fi; \
1204            shift; \
1205            desc=$$1 count=$$2; \
1206            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1207              color_start=$$3 color_end=$$std; \
1208            else \
1209              color_start= color_end=; \
1210            fi; \
1211            echo "$${color_start}# $$desc $$count$${color_end}"; \
1212        }; \
1213        create_testsuite_report () \
1214        { \
1215          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1216          result_count $$1 "PASS: " $$pass  "$$grn"; \
1217          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1218          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1219          result_count $$1 "FAIL: " $$fail  "$$red"; \
1220          result_count $$1 "XPASS:" $$xpass "$$red"; \
1221          result_count $$1 "ERROR:" $$error "$$mgn"; \
1222        }; \
1223        {                                                               \
1224          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1225            $(am__rst_title);                                           \
1226          create_testsuite_report --no-color;                           \
1227          echo;                                                         \
1228          echo ".. contents:: :depth: 2";                               \
1229          echo;                                                         \
1230          for b in $$bases; do echo $$b; done                           \
1231            | $(am__create_global_log);                                 \
1232        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1233        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1234        if $$success; then                                              \
1235          col="$$grn";                                                  \
1236         else                                                           \
1237          col="$$red";                                                  \
1238          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1239        fi;                                                             \
1240        echo "$${col}$$br$${std}";                                      \
1241        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1242        echo "$${col}$$br$${std}";                                      \
1243        create_testsuite_report --maybe-color;                          \
1244        echo "$$col$$br$$std";                                          \
1245        if $$success; then :; else                                      \
1246          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1247          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1248            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1249          fi;                                                           \
1250          echo "$$col$$br$$std";                                        \
1251        fi;                                                             \
1252        $$success || exit 1
1253
1254check-TESTS:
1255        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1256        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1257        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1258        @set +e; $(am__set_TESTS_bases); \
1259        log_list=`for i in $$bases; do echo $$i.log; done`; \
1260        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1261        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1262        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1263        exit $$?;
1264recheck: all $(check_PROGRAMS)
1265        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1266        @set +e; $(am__set_TESTS_bases); \
1267        bases=`for i in $$bases; do echo $$i; done \
1268                 | $(am__list_recheck_tests)` || exit 1; \
1269        log_list=`for i in $$bases; do echo $$i.log; done`; \
1270        log_list=`echo $$log_list`; \
1271        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1272                am__force_recheck=am--force-recheck \
1273                TEST_LOGS="$$log_list"; \
1274        exit $$?
1275tests/testRFC1035.log: tests/testRFC1035$(EXEEXT)
1276        @p='tests/testRFC1035$(EXEEXT)'; \
1277        b='tests/testRFC1035'; \
1278        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1279        --log-file $$b.log --trs-file $$b.trs \
1280        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1281        "$$tst" $(AM_TESTS_FD_REDIRECT)
1282tests/testRFC1738.log: tests/testRFC1738$(EXEEXT)
1283        @p='tests/testRFC1738$(EXEEXT)'; \
1284        b='tests/testRFC1738'; \
1285        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1286        --log-file $$b.log --trs-file $$b.trs \
1287        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1288        "$$tst" $(AM_TESTS_FD_REDIRECT)
1289testHeaders.log: testHeaders
1290        @p='testHeaders'; \
1291        b='testHeaders'; \
1292        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1293        --log-file $$b.log --trs-file $$b.trs \
1294        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1295        "$$tst" $(AM_TESTS_FD_REDIRECT)
1296.test.log:
1297        @p='$<'; \
1298        $(am__set_b); \
1299        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1300        --log-file $$b.log --trs-file $$b.trs \
1301        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1302        "$$tst" $(AM_TESTS_FD_REDIRECT)
1303@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1304@am__EXEEXT_TRUE@       @p='$<'; \
1305@am__EXEEXT_TRUE@       $(am__set_b); \
1306@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1307@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1308@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1309@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1310
1311distdir: $(DISTFILES)
1312        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1313        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1314        list='$(DISTFILES)'; \
1315          dist_files=`for file in $$list; do echo $$file; done | \
1316          sed -e "s|^$$srcdirstrip/||;t" \
1317              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1318        case $$dist_files in \
1319          */*) $(MKDIR_P) `echo "$$dist_files" | \
1320                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1321                           sort -u` ;; \
1322        esac; \
1323        for file in $$dist_files; do \
1324          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1325          if test -d $$d/$$file; then \
1326            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1327            if test -d "$(distdir)/$$file"; then \
1328              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1329            fi; \
1330            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1331              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1332              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1333            fi; \
1334            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1335          else \
1336            test -f "$(distdir)/$$file" \
1337            || cp -p $$d/$$file "$(distdir)/$$file" \
1338            || exit 1; \
1339          fi; \
1340        done
1341        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1342          if test "$$subdir" = .; then :; else \
1343            $(am__make_dryrun) \
1344              || test -d "$(distdir)/$$subdir" \
1345              || $(MKDIR_P) "$(distdir)/$$subdir" \
1346              || exit 1; \
1347            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1348            $(am__relativize); \
1349            new_distdir=$$reldir; \
1350            dir1=$$subdir; dir2="$(top_distdir)"; \
1351            $(am__relativize); \
1352            new_top_distdir=$$reldir; \
1353            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1354            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1355            ($(am__cd) $$subdir && \
1356              $(MAKE) $(AM_MAKEFLAGS) \
1357                top_distdir="$$new_top_distdir" \
1358                distdir="$$new_distdir" \
1359                am__remove_distdir=: \
1360                am__skip_length_check=: \
1361                am__skip_mode_fix=: \
1362                distdir) \
1363              || exit 1; \
1364          fi; \
1365        done
1366check-am: all-am
1367        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1368        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1369check: check-recursive
1370all-am: Makefile $(LTLIBRARIES)
1371installdirs: installdirs-recursive
1372installdirs-am:
1373install-exec: install-exec-recursive
1374install-data: install-data-recursive
1375uninstall: uninstall-recursive
1376
1377install-am: all-am
1378        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1379
1380installcheck: installcheck-recursive
1381mostlyclean-generic:
1382        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1383        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1384        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1385
1386clean-generic:
1387        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1388
1389distclean-generic:
1390        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1391        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1392        -rm -f tests/$(DEPDIR)/$(am__dirstamp)
1393        -rm -f tests/$(am__dirstamp)
1394
1395maintainer-clean-generic:
1396        @echo "This command is intended for maintainers to use"
1397        @echo "it deletes files that may require special tools to rebuild."
1398clean: clean-recursive
1399
1400clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1401        clean-noinstLTLIBRARIES mostlyclean-am
1402
1403distclean: distclean-recursive
1404        -rm -rf ./$(DEPDIR) tests/$(DEPDIR)
1405        -rm -f Makefile
1406distclean-am: clean-am distclean-compile distclean-generic \
1407        distclean-tags
1408
1409dvi: dvi-recursive
1410
1411dvi-am:
1412
1413html: html-recursive
1414
1415html-am:
1416
1417info: info-recursive
1418
1419info-am:
1420
1421install-data-am:
1422
1423install-dvi: install-dvi-recursive
1424
1425install-dvi-am:
1426
1427install-exec-am:
1428
1429install-html: install-html-recursive
1430
1431install-html-am:
1432
1433install-info: install-info-recursive
1434
1435install-info-am:
1436
1437install-man:
1438
1439install-pdf: install-pdf-recursive
1440
1441install-pdf-am:
1442
1443install-ps: install-ps-recursive
1444
1445install-ps-am:
1446
1447installcheck-am:
1448
1449maintainer-clean: maintainer-clean-recursive
1450        -rm -rf ./$(DEPDIR) tests/$(DEPDIR)
1451        -rm -f Makefile
1452maintainer-clean-am: distclean-am maintainer-clean-generic
1453
1454mostlyclean: mostlyclean-recursive
1455
1456mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1457        mostlyclean-libtool
1458
1459pdf: pdf-recursive
1460
1461pdf-am:
1462
1463ps: ps-recursive
1464
1465ps-am:
1466
1467uninstall-am:
1468
1469.MAKE: $(am__recursive_targets) check-am install-am install-strip
1470
1471.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1472        check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1473        clean-libtool clean-noinstLTLIBRARIES cscopelist-am ctags \
1474        ctags-am distclean distclean-compile distclean-generic \
1475        distclean-libtool distclean-tags distdir dvi dvi-am html \
1476        html-am info info-am install install-am install-data \
1477        install-data-am install-dvi install-dvi-am install-exec \
1478        install-exec-am install-html install-html-am install-info \
1479        install-info-am install-man install-pdf install-pdf-am \
1480        install-ps install-ps-am install-strip installcheck \
1481        installcheck-am installdirs installdirs-am maintainer-clean \
1482        maintainer-clean-generic mostlyclean mostlyclean-compile \
1483        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1484        recheck tags tags-am uninstall uninstall-am
1485
1486.PRECIOUS: Makefile
1487
1488
1489$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1490
1491install: all
1492install-strip: all
1493
1494testHeaders: $(top_srcdir)/include/*.h
1495        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1496.PHONY: testHeaders
1497
1498# Tell versions [3.59,3.63) of GNU make to not export all variables.
1499# Otherwise a system limit (for SysV at least) may be exceeded.
1500.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.